VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Slider Bar Example"
   ClientHeight    =   4830
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   9240
   LinkTopic       =   "Form1"
   ScaleHeight     =   4830
   ScaleWidth      =   9240
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picShadow 
      BackColor       =   &H80000010&
      BorderStyle     =   0  'None
      Height          =   4575
      Left            =   3840
      ScaleHeight     =   4575
      ScaleWidth      =   135
      TabIndex        =   1
      Top             =   0
      Visible         =   0   'False
      Width           =   135
   End
   Begin VB.TextBox txtRight 
      Height          =   4575
      Left            =   4200
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   3
      Text            =   "Form1.frx":0000
      Top             =   0
      Width           =   3255
   End
   Begin VB.TextBox txtLeft 
      Height          =   4575
      Left            =   0
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   2
      Text            =   "Form1.frx":0006
      Top             =   0
      Width           =   3375
   End
   Begin VB.PictureBox picSlider 
      BorderStyle     =   0  'None
      Height          =   4575
      Left            =   3600
      MousePointer    =   9  'Size W E
      ScaleHeight     =   4575
      ScaleWidth      =   135
      TabIndex        =   0
      Top             =   0
      Width           =   135
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'// This code is provided by Duane Ferrell
'// Ferrell System Delelopment
'// 713.941.8655
'// Always for hire


Option Explicit

Dim Dragging As Boolean '// flag that tells us if the slider is moving

Private Sub Form_Load()

'// make the shadow not as wide as it is in runtime.
'// the reason it is sized now instead of at design time
'// is so you can see it.

Me.picShadow.Width = 25

End Sub

Private Sub Form_Resize()

'// make sure the form is not minimized
If Me.WindowState <> vbMinimized Then
    
    '// maintain a minimum height and width in order
    '// to not set a negative width or height
    If Me.Height < 1200 Or Me.Width < 1200 Then Exit Sub
    
    '// set all the control's height properties
    '// if you have a toolbar or statusbar make sure
    '// to subtract that controls height property in the
    '// statements below
    Me.txtLeft.Height = Me.ScaleHeight
    Me.txtRight.Height = Me.ScaleHeight
    Me.picShadow.Height = Me.ScaleHeight
    Me.picSlider.Height = Me.ScaleHeight
    
    '// make sure we don't give any of the textboxes a negative value
    If Me.picSlider.Left + 300 > Me.ScaleWidth Or _
        Me.picSlider.Left - 300 < 0 Then
            Me.picSlider.Left = Me.ScaleWidth / 2
            Me.picShadow.Left = Me.picSlider.Left
    End If

    '// set the width properties
    Me.txtLeft.Width = Me.picSlider.Left
    Me.txtRight.Left = Me.picSlider.Left + Me.picSlider.Width
    Me.txtRight.Width = Me.ScaleWidth - Me.picSlider.Left + Me.picSlider.Width
    
End If


End Sub


Private Sub picSlider_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
'// set the dragging flag
Dragging = True
End Sub


Private Sub picSlider_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

'// check to see if the dragging flag is set
If Dragging Then

    '// make sure the slider shadow is visible
    If Not Me.picShadow.Visible Then Me.picShadow.Visible = True

    '// move the shadow
    Me.picShadow.Left = Me.picSlider.Left + X

End If

End Sub


Private Sub picSlider_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
'// turn off dragging and hide the shadow
Dragging = False
Me.picShadow.Visible = False

'// make sure the shadow was not moved too far
If Me.picShadow.Left + 300 > Me.ScaleWidth Then Me.picShadow.Left = Me.ScaleWidth - 300
If Me.picShadow.Left - 300 < 0 Then Me.picShadow.Left = 300

'// move picSlider and resize the controls
Me.picSlider.Left = Me.picShadow.Left
Me.txtLeft.Width = Me.picSlider.Left
Me.txtRight.Left = Me.picSlider.Left + Me.picSlider.Width
Me.txtRight.Width = Me.ScaleWidth - Me.picSlider.Left + Me.picSlider.Width


End Sub


